> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.zippd.com/llms.txt.
> For full documentation content, see https://api-docs.zippd.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.zippd.com/_mcp/server.

# Place a Rapid Delivery order

POST https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery
Content-Type: application/json

Place an order for a rapid delivery.

Reference: https://api-docs.zippd.com/rapid-delivery/post-rapid-delivery

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /rapid-delivery:
    post:
      operationId: post-rapid-delivery
      summary: Place a Rapid Delivery order
      description: Place an order for a rapid delivery.
      tags:
        - subpackage_rapidDelivery
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Rapid
                  Delivery_post-rapid-delivery_Response_201
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                internal_ref:
                  type: string
                additional_notes:
                  type:
                    - string
                    - 'null'
                cost_of_goods:
                  type: integer
                delivery_address:
                  $ref: >-
                    #/components/schemas/RapidDeliveryPostRequestBodyContentApplicationJsonSchemaDeliveryAddress
                items:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/RapidDeliveryPostRequestBodyContentApplicationJsonSchemaItemsItems
              required:
                - internal_ref
                - cost_of_goods
                - delivery_address
                - items
servers:
  - url: https://sandbox-api.deliveryapp.com/api/v1
components:
  schemas:
    RapidDeliveryPostRequestBodyContentApplicationJsonSchemaDeliveryAddress:
      type: object
      properties:
        contact_name:
          type: string
        phone_number:
          type: string
        address_line_1:
          type: string
        address_line_2:
          type:
            - string
            - 'null'
        city:
          type: string
        postcode:
          type: string
        country_code:
          type:
            - string
            - 'null'
          description: >-
            If not provided, the API will try and get this from the
            `X-User-Timezone`/`X-Timezone` 

            header if available. If the header is not available, the value is
            discerned from the requesting account.
        company_name:
          type:
            - string
            - 'null'
        delivery_instructions:
          type:
            - string
            - 'null'
      required:
        - contact_name
        - phone_number
        - address_line_1
        - city
        - postcode
      title: RapidDeliveryPostRequestBodyContentApplicationJsonSchemaDeliveryAddress
    RapidDeliveryPostRequestBodyContentApplicationJsonSchemaItemsItems:
      type: object
      properties:
        sku:
          type: string
        qty:
          type: integer
        weight:
          type: integer
        length:
          type: integer
        width:
          type: integer
        height:
          type: integer
      required:
        - sku
        - qty
      title: RapidDeliveryPostRequestBodyContentApplicationJsonSchemaItemsItems
    Rapid Delivery_post-rapid-delivery_Response_201:
      type: object
      properties: {}
      description: Empty response body
      title: Rapid Delivery_post-rapid-delivery_Response_201
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: ''

```

## SDK Code Examples

```python
import requests

url = "https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery"

payload = {
    "internal_ref": "WEB-784512",
    "cost_of_goods": 2500,
    "delivery_address": {
        "contact_name": "John Smith",
        "phone_number": "+447700900123",
        "address_line_1": "10 Downing Street",
        "city": "London",
        "postcode": "SW1A 2AA"
    },
    "items": [
        {
            "sku": "SKU-1001",
            "qty": 2
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"internal_ref":"WEB-784512","cost_of_goods":2500,"delivery_address":{"contact_name":"John Smith","phone_number":"+447700900123","address_line_1":"10 Downing Street","city":"London","postcode":"SW1A 2AA"},"items":[{"sku":"SKU-1001","qty":2}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery"

	payload := strings.NewReader("{\n  \"internal_ref\": \"WEB-784512\",\n  \"cost_of_goods\": 2500,\n  \"delivery_address\": {\n    \"contact_name\": \"John Smith\",\n    \"phone_number\": \"+447700900123\",\n    \"address_line_1\": \"10 Downing Street\",\n    \"city\": \"London\",\n    \"postcode\": \"SW1A 2AA\"\n  },\n  \"items\": [\n    {\n      \"sku\": \"SKU-1001\",\n      \"qty\": 2\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"internal_ref\": \"WEB-784512\",\n  \"cost_of_goods\": 2500,\n  \"delivery_address\": {\n    \"contact_name\": \"John Smith\",\n    \"phone_number\": \"+447700900123\",\n    \"address_line_1\": \"10 Downing Street\",\n    \"city\": \"London\",\n    \"postcode\": \"SW1A 2AA\"\n  },\n  \"items\": [\n    {\n      \"sku\": \"SKU-1001\",\n      \"qty\": 2\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"internal_ref\": \"WEB-784512\",\n  \"cost_of_goods\": 2500,\n  \"delivery_address\": {\n    \"contact_name\": \"John Smith\",\n    \"phone_number\": \"+447700900123\",\n    \"address_line_1\": \"10 Downing Street\",\n    \"city\": \"London\",\n    \"postcode\": \"SW1A 2AA\"\n  },\n  \"items\": [\n    {\n      \"sku\": \"SKU-1001\",\n      \"qty\": 2\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery', [
  'body' => '{
  "internal_ref": "WEB-784512",
  "cost_of_goods": 2500,
  "delivery_address": {
    "contact_name": "John Smith",
    "phone_number": "+447700900123",
    "address_line_1": "10 Downing Street",
    "city": "London",
    "postcode": "SW1A 2AA"
  },
  "items": [
    {
      "sku": "SKU-1001",
      "qty": 2
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"internal_ref\": \"WEB-784512\",\n  \"cost_of_goods\": 2500,\n  \"delivery_address\": {\n    \"contact_name\": \"John Smith\",\n    \"phone_number\": \"+447700900123\",\n    \"address_line_1\": \"10 Downing Street\",\n    \"city\": \"London\",\n    \"postcode\": \"SW1A 2AA\"\n  },\n  \"items\": [\n    {\n      \"sku\": \"SKU-1001\",\n      \"qty\": 2\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "internal_ref": "WEB-784512",
  "cost_of_goods": 2500,
  "delivery_address": [
    "contact_name": "John Smith",
    "phone_number": "+447700900123",
    "address_line_1": "10 Downing Street",
    "city": "London",
    "postcode": "SW1A 2AA"
  ],
  "items": [
    [
      "sku": "SKU-1001",
      "qty": 2
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.deliveryapp.com/api/v1/rapid-delivery")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```